| Bsoft 2.0.5 Bernard's software package

Functions | Variables
radonrecon.cpp File Reference

Program to do radon transforms. More...

`#include "mg_processing.h"`
`#include "rwmg.h"`
`#include "rwimg.h"`
`#include "img_radon.h"`
`#include "symmetry.h"`
`#include "utilities.h"`
`#include "options.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to do radon transforms.

Author
  Salvatore Lanzavecchia, Francesca Cantele and Pier Luigi Bellon Dip. Chimica Strutturale e Stereochimica Inorganica, Via Venezian 21, 20133 Milano, Italy
  Bernard Heymann Rm 1515, 50 South Dr., NIH, Bethesda, MD, 20892, USA

Date
  Created: 2003 07 04
  Modified: 20160728 (BH)

Definition in file radonrecon.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 50 of file radonrecon.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: radonrecon [options] input.star [input.star]",
"---------------------------------------------------",
"Program to reconstruct a quarter (PI*PI) radon transform from projections.",
"Projections must be square.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output",
"-datatype u Force writing of a new data type (default output floating point)",
"-origin 32,32 Projections origin (default center of projections)",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-kernel 15,4 Kernel size and power (default 11,2)",
"-threshold 19.4 Threshold for accepting a particle image (default 0)",
"-symmetry D5 Number of symmetry equivalents (default 1)",
" ",
"Output:",
"-output file.star Output parameter file.",
"-reconstruction rec.map Reconstruction file name.",
"-mask mask.map Binary mask for POCS filter.",
" ",
NULL
}

Definition at line 25 of file radonrecon.cpp.

## ◆ verbose

int verbose